<?xml version="1.0" encoding="utf-8"?>
<vbox name="FriendListWnd" recalc-size="1">
  <!--Top Area-->
  <hbox name="TopArea" height="61" 
                bkgrd-image="public\image\banleBkg.png"
                bkgrd-stretch-mode="DIF_ALPHATRANSPARENT| DIF_STRETCH"
                bkgrd-stretch-zone="2,20,-2,-40" bkgrd-skin="0">
    <spacer width="8" />
    <hbox name="LogoBox" width="42" height="42" top="8" bkgrd-color="#IM.LogoBorderColor">
      <obj class="UserLogo" name="Picavatar" height="40" width="40" left="1" top="1"
       image="public\image\im\IMLogo.png"
       style="BS_PUSHLIKE"
       bkgrd-stretch-mode ="DIF_ALPHATRANSPARENT "
       bkgrd-skin="0"/>
    </hbox>

    <spacer width="5" />
    <vbox width="246">
      <!--level-->
      <hbox name="Level" height="22" top="5">
        <obj class="Picture" name="PicLevel" top="2"  width="16" height="16"               
             bkgrd-image="public\image\im\LV.png"               
             bkgrd-stretch-mode="DIF_ALPHATRANSPARENT" bkgrd-skin="0"/>
        <spacer width="3" />
        <obj class="Button" name="BtnLevel" left="2" top="3" width="15" height="15" image=""
             icon="public\image\usergrade.png@15x15"  align-style="center" style="BS_ICON" icon-index="0"
             capture-cursor="0" take-tooltip="1" bkgrd-skin="0"/>
        <spacer width="90"/>
        <obj class="Button" name="BtnWheath" style="BS_ICON" align-style="center" icon="public\image\silver_pea.png@16x16"
                    icon-index="0" image="" capture-cursor="0" top="3" height="16" width="16" take-tooltip="1" bkgrd-skin="0"/>
        <spacer width="5"/>
        <obj class="Static" name="StaticWheathValue" style="SS_SIMPLE"  right="-10" />       
      </hbox>
      <spacer height="5" />
      <!--effects-->
      <obj class="MedalToolbar" name="MedalEffects" left="2" right="-10" height="22" take-notify-tooltip="1" icon-space="5"/>
    </vbox>
    <spacer name="SplitterTopX" top="15" height="33" width="2"
                      bkgrd-image="public\image\im\splitter.png"
                      bkgrd-stretch-mode="DIF_ALPHATRANSPARENT"
                      bkgrd-skin="1" />
    <group name="signInfo" left="10" top="10" right="-10" bottom="-10">
      <obj class="Button" name="BtnSign"
           style="BS_ICON" image="public\image\im\sign_input.png@16x16" tstringid="30018" take-tooltip="1" />
      <hbox name="ChangeSignArea"  bkgrd-image="public\image\TextfieldInput.png" bkgrd-stretch-mode="DIF_STRETCH |DIF_TRANSPARENT"
						bkgrd-stretch-zone="4,4,-4,-4" flex="1" hidden="1">
        <obj class="Edit" name="EditSign" style="ES_MULTILINE|ES_AUTOVSCROLL" top="3" left="3" right="-3" bottom="-3" flex="1" />
        <spacer width="5" />
        <obj class="Button" name="BtnPublish" image="public\image\BaseButton.png@14x37"
             bkgrd-stretch-mode="DIF_ALPHATRANSPARENT"
             style="BS_ICON" icon="public\image\im\btn_publish.png@22x9"  
             icon-index="0" width="30" height="18" top="10"/>
        <spacer width="10" />
      </hbox>
    </group>
  </hbox>
  <!--Main Area -->
  <hbox name="MainArea">
    <!--Left Side -->
    <vbox name="LeftSide" width="300" bkgrd-color="#FriendListWnd.BkgrdColor" >
      <!--LeftMain Area -->
      <vbox name="LeftMainArea" >
        <!--TabBox-->
        <hbox name="TabBox"  bkgrd-color="#TabBkgColor" height="29" >
           <obj class="TabCtrl" name="TabFriendList" height="29"  font-color="#StandardFontColor" item-space="1" take-notify-tooltip="1"/>
        </hbox>
        <spacer height="10" />
        <!--TreeArea -->
        <group name="TreeArea" right="-1" >
          <vbox  name="FriendListPage" bkgrd-color="#FriendListWnd.BkgrdColor" >
            <!--SearchArea-->
            <obj name="IMLocalSearch" height="24" left="6" right="-6" />
            <spacer height="10" />
            <!--friend tree -->
            <obj class="Tree" style="TVS_FULLROWSELECT" name="TreeFriendList" bkgrd-color="#FriendListWnd.BkgrdColor" vscroll="#Scrollbar.vscroll"
                  vscroll-iconset="#Scrollbar.vscroll-iconset"
                  left="10"  flex="1"
                  take-notify-tooltip="1"/>
            <!--friend search tree -->
            <obj class="Tree" style="TVS_FULLROWSELECT" name="TreeFriendSearch" bkgrd-color="#FriendListWnd.BkgrdColor" vscroll="#Scrollbar.vscroll"
                  vscroll-iconset="#Scrollbar.vscroll-iconset"
                  left="10" right="-10" flex="1" hidden="1"
                  take-notify-tooltip="1"/>
            <!--Bottom Area -->
            <hbox name="FriendBottomArea" top-border="#ChannelView.Border.Normal"
                bkgrd-color="#ChannelView.BkgColor.ChannelTree" height="40" >
              <spacer flex="1" />
              <obj class="Button" name="BtnAddGroup" stringid="30076" style="WS_TABSTOP| BS_ICON"
                   align-style="center"
                   image="public\image\BaseButton.png@14x37"
                   bkgrd-stretch-mode="DIF_ALPHATRANSPARENT"
                   icon="public\image\im\add_group.png@16x16" icon-index="0"
                   icon-space="5"
                   tstringid="30076"
                   max-textwidth="100"
                   width="125" height="28" top="8"/>
              <spacer width="20" />
              <obj class="Button" name="BtnAddContact" stringid="30077" style="WS_TABSTOP| BS_ICON"
                   align-style="center"
                   image="public\image\BaseButton.png@14x37"
                   bkgrd-stretch-mode="DIF_ALPHATRANSPARENT"
                   icon="public\image\im\add_friend.png@16x16" icon-index="0"
                   icon-space="5"
                   tstringid="30077"
                   max-textwidth="100"
                   width="125" height="28" top="8"/>
              <spacer flex="1" />
            </hbox>            
          </vbox>
          <spacer height="3" />
          <vbox name="RecentlyPage" flex="1" left="10" right="-1" hidden="1">
            <!--Recently tree -->
            <obj class="Tree" style="TVS_FULLROWSELECT" name="TreeRecently" bkgrd-color="#FriendListWnd.BkgrdColor" vscroll="#Scrollbar.vscroll"
                  vscroll-iconset="#Scrollbar.vscroll-iconset" take-notify-tooltip="1"
                  flex="1" />
          </vbox>
          <!--Facebook Page-->
          <obj name="FacebookPage" flex="1" left="1" right="-1" hidden="1"/>
        </group>
        <!--ReconnectArea -->
        <hbox name="ReconnectArea" hidden="1">
          <vbox  bottom="-55" >
            <hbox top="32" height="50">
              <spacer flex="1" />
              <obj class="Edit" name="EditReconnect" style="ES_READONLY| ES_MULTILINE| ES_CENTER" height="50" width="230" font="system-default@12px" font-color="#ReconnectTipFontColor"
                bkgrd-color="#FriendListWnd.BkgrdColor"/>
              <spacer flex="1" />
            </hbox>
            <hbox>
              <spacer flex="1" />
              <obj class="Button" name="BtnReConnect" style="WS_TABSTOP" stringid="30116"
                 top="20" width="133" calc-size="1,0" min-max-size="133,0" height="26" />
              <spacer flex="1" />
            </hbox>
          </vbox>
        </hbox>
      </vbox>
    </vbox>
    <hbox  name="MiddleSpliter" width="1" 	                             
              bkgrd-color="#Spliter2FontColor" />
    <!--Right Side -->
    <vbox name="RightSide" flex="1" 
                bkgrd-image="public\image\im\shadow.png"
                bkgrd-stretch-mode="DIF_ALPHATRANSPARENT| DIF_STRETCH"
                bkgrd-stretch-zone="3,120,-1,-120"
                bkgrd-skin="0">
      <hbox name="FeedTabBox" bkgrd-image="public\image\im\FeedBkg.png" 
                bkgrd-stretch-mode="DIF_ALPHATRANSPARENT| DIF_STRETCH"
                bkgrd-stretch-zone="0,1,0,-1"
            height="29" >
        <obj  name="FeedTip" left="8" top="8" height="20" width="220" font-color="#StandardFontColor" stringid="50159"/>
      </hbox>  

		<obj  name="adsView" class="ADFlash"  height="70" adsource="friendfeed" closeBtn="1" hidden="1"/>
	  
      <obj name="RCFriendFeed"/>
    </vbox>
  </hbox>
</vbox>